#pragma once

class CNoticeDlg;

class CNoticeController
{
public:
	void SetUrl(LPCTSTR strUrl);
	void ShowNotice();	
	void DeleteView();

	static CNoticeController* CreateNotice(LPCTSTR strNoticeUrl);
	static void DeleteNotice();

private:
	CNoticeController(void);	
	~CNoticeController(void);
	CNoticeController(const CNoticeController&);
	CNoticeController& operator=(const CNoticeController&);

	void CreateNoticeView();	

	CNoticeDlg* m_pNoticeDlg;	
	CString m_strUrl;

	static CNoticeController* g_pNoticeController;
};
